<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@FFE7DA=59</action>
    </script>
  </cheat>

  <cheat desc="Infinite Continues">
    <script state="run">
      <action>maincpu.pb@FFE84D=00</action>
      <action>maincpu.pb@FFAC88=00</action>
      <action>maincpu.pb@FFADA8=00</action>
      <action>maincpu.pb@FFAEC8=00</action>
    </script>
  </cheat>

  <cheat desc="Hit Anywhere">
    <script state="on">
      <action>temp0 =maincpu.mw@00824E</action>
    </script>
    <script state="run">
      <action>maincpu.mw@00824E=6002</action> <!-- This ROM cheat was made by nolberto82 -->
    </script>
    <script state="off">
      <action>maincpu.mw@00824E=temp0 </action>
    </script>
  </cheat>

  <cheat desc="One Hit Kills">
    <script state="on">
      <action>temp0 =maincpu.mw@008814</action>
    </script>
    <script state="run">
      <action>maincpu.mw@008814=4E71</action> <!-- This ROM cheat was made by nolberto82 -->
    </script>
    <script state="off">
      <action>maincpu.mw@008814=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Go to last level Now!">
    <script state="on">
      <action>maincpu.pb@FFA4C4=06</action>
    </script>
  </cheat>

  <cheat desc="Convert All Enemies to Energy Now!"> <comment>Doesn't work on bosses</comment>
    <script state="on">
      <action>maincpu.pb@FFE7D5=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FFAC76=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@FFABA5=50</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@FFAC7A=78</action>
    </script>
  </cheat>

  <cheat desc="Character level 16 PL1"> <comment>Also gain 99999999 EP</comment>
    <script state="on">
      <action>maincpu.pb@FFAC4E=0F</action>
      <action>maincpu.pd@FFAC8C=99999999</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FFAD96=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@FFACC5=50</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@FFAD9A=78</action>
    </script>
  </cheat>

  <cheat desc="Character level 16 PL2"> <comment>Also gain 99999999 EP</comment>
    <script state="on">
      <action>maincpu.pb@FFAD6E=0F</action>
      <action>maincpu.pd@FFADAC=99999999</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@FFAEB6=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL3">
    <script state="run">
      <action>maincpu.pb@FFADE5=50</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL3">
    <script state="run">
      <action>maincpu.pb@FFAEBA=78</action>
    </script>
  </cheat>

  <cheat desc="Character level 16 PL3"> <comment>Also gain 99999999 EP</comment>
    <script state="on">
      <action>maincpu.pb@FFAD8E=0F</action>
      <action>maincpu.pd@FFAECC=99999999</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="255" step="1"/>
    <script state="change">
      <action>maincpu.pb@800181=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
